Generate coupon codes - Fabric
Generate coupon codes
cURL
curl --request POST \
--url https://api.fabric.inc/v3/coupons/actions/generate-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"prefix": "SUMMER",
"start": 1,
"count": 3
}
'```
```python
import requests
url = "https://api.fabric.inc/v3/coupons/actions/generate-codes"
payload = {
"prefix": "SUMMER",
"start": 1,
"count": 3
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({prefix: 'SUMMER', start: 1, count: 3})
};
fetch('https://api.fabric.inc/v3/coupons/actions/generate-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
Sample Responses
{
"data": [
"SUMMER1",
"SUMMER2",
"SUMMER3"
]
}
{
"type": "REQUEST_VALIDATION",
"message": "Invalid data. Start value must be greater than or equal to 1."
}
{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}
{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
Authorizations
- Authorization: string (header, required)
- Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-fabric-tenant-id: string (required)
- A header used by fabric to identify the tenant making the request, necessary for accessing endpoints.
- x-fabric-channel-id: string (required)
- Identifies the sales channel where the API request is made.
- x-client-id: string
- Unique identifier obtained from Copilot for authentication.
- x-fabric-request-id: string
Body
- prefix: string (required)
- The prefix to be added while generating coupon codes.
- start: integer (required)
- The initial number for coupon code generation.
- count: integer (required)
- The number of coupon codes to generate.
Response Structure
- data: string[]
- An array containing generated coupon codes.